Subject: Re: [BUG] 2.6.30-rc3: BUG triggered on some hugepage usages

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Apr 2009 18:15:38 +1000

On Fri, 2009-04-24 at 10:51 +0100, Mel Gorman wrote:
> I'm seeing some tests with sysbench+postgres+large pages fail on ppc64
> although a very clear pattern is not forming as to what exactly is
> causing it. However, the libhugetlbfs regression tests (make && make
> func) are triggering the following oops when calling mlock() and so
> are
> likely related.

This would be a spurrious WARN_ON().. the test I added in there should
not apply to huge pages. However, I don't see that causing a functional
problem with sysbench+postgres

Ben.